Loading...
Searching...
No Matches
Opm::VectorVectorDataHandle< GridView, Vector > Class Template Reference

A data handle sending multiple data store in vectors attached to cells. More...

`#include <VectorVectorDataHandle.hpp>`

Inheritance diagram for Opm::VectorVectorDataHandle< GridView, Vector >:

## Public Types

using | DataType = std::decay_t<decltype(std::declval<Vector>()[0][0])>
| the data type we send

## Public Member Functions

| VectorVectorDataHandle (Vector &data, const GridView &gridView)
| Constructor.
bool | contains (int, int codim) const
bool | fixedSize (int, int) const
template<class EntityType>
std::size_t | size (const EntityType) const
template<class BufferType, class EntityType>
void | gather (BufferType &buffer, const EntityType &e) const
template<class BufferType, class EntityType>
void | scatter (BufferType &buffer, const EntityType &e, std::size_t n)

## Detailed Description

template<class GridView, class Vector>
class Opm::VectorVectorDataHandle< GridView, Vector >

A data handle sending multiple data store in vectors attached to cells.

Each data is assumed to a container with operator[] and the class operates on a vector of these.

Template Parameters

  GridView | the type of the grid view the data associated with
  The | type of the vector of vectors.

## Constructor & Destructor Documentation

## VectorVectorDataHandle()

template<class GridView, class Vector>

Opm::VectorVectorDataHandle< GridView, Vector >::VectorVectorDataHandle | ( | Vector & | data,
|  | const GridView & | gridView )

inline

Constructor.

Parameters

  data | The vector of data vectors
  gridView | The gridview the data is attached to.

The documentation for this class was generated from the following file:

- opm/simulators/utils/VectorVectorDataHandle.hpp